## mom 0.6.4

=== .copr/Makefile ===
.PHONY: installdeps git-safe srpm

installdeps:
	dnf -y install git autoconf automake make python3-devel

# Explicity mark the copr generated git repo directory as safe for git
# commands. The directory is created prior to the mock call to the make_srpm
# and will be the current pwd.
git-safe:
	# From git 2.35.2 we need to mark temporary directory, where the
	# project is cloned to, as safe, otherwise git commands won't work
	# because of the fix for CVE-2022-24765
	git config --global --add safe.directory "$(shell pwd)"

srpm: installdeps git-safe
	#$(eval SUFFIX=$(shell sh -c " echo '.$$(date -u +%Y%m%d%H%M%S).git$$(git rev-parse --short HEAD)'"))
	# changing the spec file as passing -D won't preserve the suffix when rebuilding in mock
	#sed "s:%{?release_suffix}:${SUFFIX}:" -i mom.spec.in
	mkdir -p tmp.repos
	./autogen.sh
	./configure --prefix=/usr --disable-python-syntax-check
	make dist
	rpmbuild \
		-D "_topdir tmp.repos" \
		-ts ./*.tar.gz
	cp tmp.repos/SRPMS/*.src.rpm $(outdir)

## mom 0.5.0

=== debian/changelog ===
mom (0.5.0-1) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Initial release (Closes: #99999999)

 -- Simone Tiraboschi <stirabos@redhat.com>  Tue, 25 Jun 2015 14:26:43 +0000

=== debian/control ===
Source: mom
Priority: extra
Maintainer: Simone Tiraboschi <stirabos@redhat.com>
Build-Depends: debhelper (>= 9), autotools-dev, automake, autoconf, python-dev, libglib2.0-dev, libyajl-dev, dh-python, python-all-dev (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.6
Section: python
Homepage: http://www.ovirt.org/MoM
Vcs-Git: git://gerrit.ovirt.org/mom
Vcs-Browser: https://gerrit.ovirt.org/gitweb?p=mom.git;a=shortlog;h=refs%2Fheads%2Fmaster

Package: mom
Section: python
Architecture: all
Depends: ${misc:Depends}, python, libvirt-daemon, python-libvirt, procps
Description: Dynamically manage system resources on virtualization hosts
 MOM is a policy-driven tool that can be used to manage overcommitment on KVM
 hosts. Using libvirt, MOM keeps track of active virtual machines on a host. At
 a regular collection interval, data is gathered about the host and guests. Data
 can come from multiple sources (eg. the /proc interface, libvirt API calls, a
 client program connected to a guest, etc). Once collected, the data is
 organized for use by the policy evaluation engine. When started, MOM accepts a
 user-supplied overcommitment policy. This policy is regularly evaluated using
 the latest collected data. In response to certain conditions, the policy may
 trigger reconfiguration of the system’s overcommitment mechanisms. Currently
 MOM supports control of memory ballooning and KSM but the architecture is
 designed to accommodate new mechanisms such as cgroups.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@  --with autotools-dev

## mom 0.5.1

=== debian/changelog ===
mom (0.5.1-3) unstable; urgency=medium

  * Section really changed to `admin'.

 -- Milan Zamazal <mzamazal@redhat.com>  Mon, 01 Feb 2016 19:57:32 +0100

mom (0.5.1-2) unstable; urgency=low

  * Section changed to `admin'; closes: #813416.

 -- Milan Zamazal <mzamazal@redhat.com>  Mon, 01 Feb 2016 19:42:22 +0100

mom (0.5.1-1) unstable; urgency=low

  * Initial official Debian package, based on oVirt releng-tools packaging;
    closes: #808828.

 -- Milan Zamazal <mzamazal@redhat.com>  Mon, 18 Jan 2016 14:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,35 @@
 Source: mom
 Priority: extra
-Maintainer: Simone Tiraboschi <stirabos@redhat.com>
-Build-Depends: debhelper (>= 9), autotools-dev, automake, autoconf, python-dev, libglib2.0-dev, libyajl-dev, dh-python, python-all-dev (>= 2.6.6-3), python-setuptools
+Maintainer: Milan Zamazal <mzamazal@redhat.com>
+Build-Depends:
+    debhelper (>= 9),
+    autotools-dev,
+    automake,
+    autoconf,
+    libglib2.0-dev,
+    libyajl-dev,
+    dh-exec,
+    dh-python,
+    dh-autoreconf,
+    python-all-dev (>= 2.6.6-3),
+    python-setuptools,
+    python-nose,
+    dh-systemd
 Standards-Version: 3.9.6
-Section: python
+Section: admin
 Homepage: http://www.ovirt.org/MoM
 Vcs-Git: git://gerrit.ovirt.org/mom
 Vcs-Browser: https://gerrit.ovirt.org/gitweb?p=mom.git;a=shortlog;h=refs%2Fheads%2Fmaster
 
 Package: mom
-Section: python
 Architecture: all
-Depends: ${misc:Depends}, python, libvirt-daemon, python-libvirt, procps
+Depends:
+    ${misc:Depends},
+    python,
+    libvirt-daemon-system,
+    libvirt-daemon,
+    python-libvirt,
+    procps
 Description: Dynamically manage system resources on virtualization hosts
  MOM is a policy-driven tool that can be used to manage overcommitment on KVM
  hosts. Using libvirt, MOM keeps track of active virtual machines on a host. At

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autotools-dev --with systemd,autoreconf

override_dh_install:
	dh_install
	find -name '*.py[co]' -exec rm {} \;

## mom 0.5.12

=== debian/changelog ===
mom (0.5.12-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - python-all-dev
    + python
  * Vcs URLs to Salsa.
  * Added "watch" file.
  * Fixed Homepage URL.
  * rules: don't compress examples.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.4; Priority: optional.
  * systemd service improvements and corrections.
  * Taking over the package. Thanks, Milan Zamazal.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jun 2018 22:58:07 +1000

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,23 @@
 Source: mom
-Priority: extra
-Maintainer: Milan Zamazal <mzamazal@redhat.com>
-Build-Depends:
-    debhelper (>= 9),
-    autotools-dev,
-    automake,
-    autoconf,
+Priority: optional
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 11~),
     libglib2.0-dev,
     libyajl-dev,
     dh-exec,
     dh-python,
-    dh-autoreconf,
-    python-all-dev (>= 2.6.6-3),
+    python,
     python-setuptools,
     python-nose,
-    dh-systemd
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Section: admin
-Homepage: http://www.ovirt.org/MoM
-Vcs-Git: git://gerrit.ovirt.org/mom
-Vcs-Browser: https://gerrit.ovirt.org/gitweb?p=mom.git;a=shortlog;h=refs%2Fheads%2Fmaster
+Homepage: https://www.ovirt.org/develop/projects/mom/
+Vcs-Browser: https://salsa.debian.org/debian/mom
+Vcs-Git: https://salsa.debian.org/debian/mom.git
 
 Package: mom
 Architecture: all
-Depends:
-    ${misc:Depends},
+Depends: ${misc:Depends},
     python,
     libvirt-daemon-system,
     libvirt-daemon,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	find -name '*.py[co]' -exec rm {} \;

override_dh_compress:
	## Don't compress examples:
	dh_compress -X.rules -X.conf

## mom 0.5.16

=== debian/changelog ===
mom (0.5.16-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Sep 2019 18:32:34 +1000

mom (0.5.15-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 25 Aug 2019 08:12:58 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mom
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
     libglib2.0-dev,
     libyajl-dev,
     dh-exec,
@@ -9,7 +9,7 @@
     python,
     python-setuptools,
     python-nose,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: admin
 Homepage: https://www.ovirt.org/develop/projects/mom/
 Vcs-Browser: https://salsa.debian.org/debian/mom

## mom 0.6.0

=== debian/changelog ===
mom (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Transitioned to Python3 (Closes: #937064).
  * Enabled tests.
  * Build-Depends:
    + python3-six
    + python3-mock
  * Depends:
    + python3-six

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 09:55:55 +1100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,12 @@
     libyajl-dev,
     dh-exec,
     dh-python,
-    python,
-    python-setuptools,
-    python-nose,
+    python3,
+    python3-setuptools,
+    python3-six,
+    python3-nose,
+# tests:
+    python3-mock,
 Standards-Version: 4.4.0
 Section: admin
 Homepage: https://www.ovirt.org/develop/projects/mom/
@@ -17,11 +20,11 @@
 
 Package: mom
 Architecture: all
-Depends: ${misc:Depends},
-    python,
+Depends: ${misc:Depends}, ${python3:Depends},
     libvirt-daemon-system,
     libvirt-daemon,
-    python-libvirt,
+    python3-libvirt,
+    python3-six,
     procps
 Description: Dynamically manage system resources on virtualization hosts
  MOM is a policy-driven tool that can be used to manage overcommitment on KVM

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_install:
 	dh_install

## mom 0.6.4

=== debian/changelog ===
mom (0.6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1014781)
  * Fix watchfile for new GitHub API
  * Remove obsolete build dependencies:
    * python3-mock
    * python3-nose (Closes: #1018413)
  * Use new dh-sequence-python3
  * janitor:
    * Add upstream metadata
    * Set upstream metadata fields: Repository.
    * Update standards version to 4.6.2, no changes needed.
    * Bump debhelper from old 12 to 13.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Mar 2024 13:34:45 +0100

mom (0.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:23:03 +0200

mom (0.6.0-2) unstable; urgency=medium

  * New patch for compatibility with Python-3.9 (Closes: #975817)
    Thanks, Adrian Bunk.
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 11:39:14 +1100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: mom
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
     libglib2.0-dev,
     libyajl-dev,
     dh-exec,
-    dh-python,
+    dh-sequence-python3,
     python3,
     python3-setuptools,
     python3-six,
-    python3-nose,
-# tests:
-    python3-mock,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Section: admin
 Homepage: https://www.ovirt.org/develop/projects/mom/
 Vcs-Browser: https://salsa.debian.org/debian/mom
 Vcs-Git: https://salsa.debian.org/debian/mom.git
+Rules-Requires-Root: no
 
 Package: mom
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=/usr/bin/python3

%:
	dh $@

execute_after_dh_install:
	find -type f -name '*.pyc' -delete
	find -type d -name __pycache__ -delete

override_dh_compress:
	## Don't compress examples:
	dh_compress -X.rules -X.conf

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/oVirt/mom/tags \
  (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
